import { RoleTableType } from "@/types";

// 初始化状态
const initState = {
  // 列表数据
  tableInfo: {
    list: [] as RoleTableType[],
    total: 0,
  },
};

// 定义 action 类型
type RoleActionType = {
  type: "Role/getList";
  payload: { list: RoleTableType[]; total: number };
};

// 频道 reducer
export default function RoleReducer(state = initState, action: RoleActionType) {
  switch (action.type) {
    // 获取列表数据
    case "Role/getList":
      return { ...state, tableInfo: action.payload };
    default:
      return state;
  }
}
